function rid_y0(sidp_parameters, compare_parameters,system,apriori,N)
a=0;
b=0;
m=3;
col=['b' 'g' 'r' 'c' 'm'];
n=10;
quality=zeros(1,n+1);
apriori.b0=0;
apriori.P0=10;
y_max=apriori.y0;
figure
for j=1:m;
    q=0;
    apriori.Hc=j-1;
    sidp3(sidp_parameters, compare_parameters,system,apriori);
    for i=0:n
        q=q+1;
        apriori.y0=i*y_max/n;
        los=mc_study(system,apriori,N);
        quality(q)=los(2)/los(3);
    end
    subplot(2,1,1);
    plot((0:n)*y_max/n,quality(1,:),['',col(j)]); hold on
    [H C]=load_H;  
    subplot(2,1,2);
    plot(H,C,['',col(j)]); hold on; a=max(a,max(C(:))); b=min(b,min(C(:)));    
end

subplot(2,1,1);
xlabel('\fontsize{18} y_0'); ylabel('\fontsize{18} relativní ztráta');
legend('0)','1)','2)','3)');
set( get(gcf, 'Children'), 'FontSize', 18);

subplot(2,1,2);
xlabel('\fontsize{18} \beta'); ylabel('\fontsize{18} \nu^{ (2)}_0'); 
set(gca,'ylim',[b a]);
set(gca,'xlim',[0 H(end)]); 
end